<?php

namespace Drupal\menu_migration\Hook;

use Drupal\Core\Hook\Attribute\Hook;
use Drupal\Core\Routing\RouteMatchInterface;

/**
 * Hook implementations for menu_migration.
 *
 * Since we have very few hooks, we are using a single global class.
 */
class MenuMigrationHooks {

  /**
   * Implements hook_help().
   */
  #[Hook('help')]
  public function help($route_name, RouteMatchInterface $route_match) {
    return match ($route_name) {
      'help.page.menu_migration' => [
        '#theme' => 'menu_migration_help_page',
      ],
      default => '',
    };
  }

  /**
   * Implements hook_theme().
   */
  #[Hook('theme')]
  public function theme() {
    return [
      'menu_migration_help_page' => [
        'variables' => [],
      ],
    ];
  }

}
